@echo off
setlocal

REM 检查参数是否提供
if "%1"=="" (
    echo 请提供GitHub项目的地址
    exit /b 1
)

REM 克隆GitHub项目
git clone %1
if errorlevel 1 (
    echo 克隆失败，请检查项目地址
    exit /b 1
)

REM 获取项目目录名
for %%i in (%1) do set project_name=%%~ni

REM 切换到项目目录
cd %project_name%

REM 安装依赖
npm install
if errorlevel 1 (
    echo 安装依赖失败
    exit /b 1
)

echo 完成

endlocal
